html {
  background-color: #77c4b6;
  font-family: arial;
  font-size: 15px;
}

#game-container {
  width: 500px;
   height: 500px;

   position: absolute;
   top:0;
   bottom: 0;
   left: 0;
   right: 0;

   margin: auto;
}

#game-canvas {
  position: absolute;
  background-image: url("imgs/underwater.jpg");
  border-radius: 10px;
  background-size: cover;
  width: 100%;
}

.menu {

}

.title {
  background: white;
  padding: 15px;
  width: 200px;
  position: absolute;
  margin: 0 auto;
  left: 0;
  right: 0;
  margin-top: 20px;
  border: 2px solid rgba(29,87,47,1);
  border-radius: 25px;
  z-index: 1;
  -webkit-box-shadow: 0px 0px 25px 1px rgba(29,87,47,1);
  -moz-box-shadow: 0px 0px 25px 1px rgba(29,87,47,1);
  box-shadow: 0px 0px 25px 1px rgba(29,87,47,1);
  animation-duration: 2s;
  animation-name: bounceIn;
}

.seaweed {
  width: 180px;
  border-radius: 5px;
  display: block;
  margin: auto;
  animation-duration: 2s;
  animation-name: bounceIn;
}

.sub {
  animation-duration: 3s;
  animation-name: fadeIn;
  position: absolute;
  clip: rect(0, 65px, 65px, 0);
  margin-top: -110px;
  margin-left: 135px;
}

.start > button {
  width: 120px;
  height: 60px;
  border-radius: 5px;
  margin-top: 40px;
  background: #47a099;
  font-family: sans-serif;
  color: white;
  border: none;
  letter-spacing: 1px;
  font-size: 24px;
  -webkit-box-shadow: 0px 0px 250px 30px rgba(29,87,47,1);
  -moz-box-shadow: 0px 0px 250px 30px rgba(29,87,47,1);
  box-shadow: 0px 0px 250px 30px rgba(29,87,47,1);
}

.start > button:hover {
  background: #61d3ca;
  /*border: 1px solid #47a099;*/
}

.start {
  text-align: center;
  position: absolute;
  margin: 0 auto;
  left: 0;
  right: 0;
  margin-top: 180px;
  z-index: 1;
}

@keyframes bounceIn {
  0% {
    transform: scale(0.1);
    opacity: 0;
  }
  100% {
    transform: scale(1);
  }
}

@keyframes fadeIn {
  0% {
    display: none;
    opacity: 0;
  }
  1% {
    display: block;
    opacity: 0;
  }
  40% {
    transform: scale(0.1);
    opacity: 0;
  }
  70% {
    transform: scale(1.1);
    opacity: 1;
  }
  100% {
    display: block;
    opacity: 1;
  }
}

.hidden {
  display: none;
}

progress {
  position: absolute;
  margin-left: 315px;
  margin-top: 15px;
  -webkit-appearance: none;
   appearance: none;
  height: 20px;
  z-index: 1;
  border: 1px solid #47a099;
  border-radius: 2px;
}

progress[value]::-webkit-progress-bar {
  background-color: #eee;
  border-radius: 2px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.25) inset;
 }

.lost {
  z-index: 1;
  background: white;
  padding: 30px;
  position: absolute;
  font-size: 36px;
  text-align: center;
  width: 200px;
  color: red;
  font-weight: bold;
  padding: 5px;
  margin: 28%;
  margin-top: 60px;
  border: 3px solid red;
  border-radius: 10px;
  box-shadow: 0 0 12px 2px red;
}

.story {
  font-size: 15px;
  text-align: center;
  color: black;
  margin-top: 5px;
}

.won {
  z-index: 1;
  background: white;
  padding: 30px;
  position: absolute;
  font-size: 36px;
  text-align: center;
  width: 300px;
  color: red;
  font-weight: bold;
  padding: 5px;
  margin: 20%;
  margin-top: 60px;
  border: 3px solid red;
  border-radius: 10px;
  box-shadow: 0 0 12px 2px red;
}

.level {
  color: red;
  z-index: 1;
  position: absolute;
  font-size: 20px;
  font-weight: bold;
  padding: 10px;
}

.intro {
  position: absolute;
  z-index: 1;
  width:  430px;
  margin: 0 auto;
  left: 0;
  right: 0;
  margin-top: 300px;
  background-color: white;
  text-align: center;
  padding: 10px;
  border-radius: 15px;
  -webkit-box-shadow: 0px 0px 25px 1px rgba(29,87,47,1);
  -moz-box-shadow: 0px 0px 25px 1px rgba(29,87,47,1);
  box-shadow: 0px 0px 25px 1px rgba(29,87,47,1);
    border: 2px solid rgba(29,87,47,1);
  color: rgba(29,87,47,1);
  animation: fade;
  animation-duration: 2s;
}

@keyframes fade {
  0% {
    display: none;
    opacity: 0;
  }
  1% {
    display: block;
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
